curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/channel/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categoryList": [
{
"categoryId": "4711",
"displayName": "Beer",
"listingAllowed": true,
"parentCategoryId": "2343"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/categories"
payload = { "categoryList": [
{
"categoryId": "4711",
"displayName": "Beer",
"listingAllowed": True,
"parentCategoryId": "2343"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categoryList: [
{
categoryId: '4711',
displayName: 'Beer',
listingAllowed: true,
parentCategoryId: '2343'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categoryTreeVersion": "1559721549-ajifn"
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Update Category Tree
Update Channel Category tree.
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Headers
Use the Content-Encoding: gzip when sending JSON requestBody as compressed payload. This is recommended when creating huge category trees. There is a limit of 32 MB on this route.
gzip Body
Full marketplace category tree to be published for use in seller listings.
Full category tree published by the channel, structured as a list of root categories with nested children.
1Show child attributes
Show child attributes
Response
Category Tree created
Version identifier returned after publishing or updating the channel category tree.
"1559721549-ajifn"
Was this page helpful?